Get query operators

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/scenarios/{scenarioId}/query-operator

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attribute Show response attribute object
    • * object Additional properties
      Hide * attribute Show * attribute object
      • * integer(int32) Additional properties
GET /project/{projectId}/scenarios/{scenarioId}/query-operator
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/scenarios/{scenarioId}/query-operator' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "additionalProperty1": {
    "additionalProperty1": 42,
    "additionalProperty2": 42
  },
  "additionalProperty2": {
    "additionalProperty1": 42,
    "additionalProperty2": 42
  }
}